package fr.xephi.authme.events;

import org.bukkit.Location;
import org.bukkit.entity.Player;

/**
 * 
 * This event is call if, and only if, a player is teleported just after a
 * register.
 *
 * @author Xephi59
 */
public class RegisterTeleportEvent extends CustomEvent {

	private Location from;
	private Player player;
	private Location to;

	public RegisterTeleportEvent(Player player, Location to) {
		this.player = player;
		this.from = player.getLocation();
		this.to = to;
	}

	public Location getFrom() {
		return from;
	}

	public Player getPlayer() {
		return player;
	}

	public Location getTo() {
		return to;
	}

	public void setTo(Location to) {
		this.to = to;
	}

}
